Bug 133309 - spec build buglet
Summary: spec build buglet
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: lvm   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Heinz Mauelshagen
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-23 02:11 UTC by John Morris
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-10 09:06:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Morris 2004-09-23 02:11:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040817

Description of problem:
Determining the target kernel to build for should not depend on the
kernel on the buildhost.  Line 126 of the .spec says:

OS_VERSION=`uname -r`

This of course will cause problems when building in a chroot
environment and setarch can only fake the arch, not the version
number.  Suggest using the version of the kernel or kernel-sources
package as a safer indicator of the target kernel.

Version-Release number of selected component (if applicable):
lvm-1.0.8-5

How reproducible:
Always

Steps to Reproduce:
1. Drop a RHEL tree on a buildhost running a 2.6 kernel.
2. Rebuild lvm
3. list the filelist from the package.
    

Actual Results:  All of the binaries get .lvm1 added to the name.

Additional info:

Comment 1 John Morris 2004-09-23 02:18:35 UTC
Duh.  Multiple kernel and kernel-sources packages can exist, but I
don't think kernel-headers can so it would be a better candidate.

Comment 2 Heinz Mauelshagen 2004-12-10 09:06:39 UTC
Fixed by katzj by removing the kernel version dependent part from the RHEL-3
branch specfile.


Note You need to log in before you can comment on or make changes to this bug.